/******************************************************************************
NAME:		GET_AHDR_PAR

PURPOSE:	Retrieves the archive header parameter information

ALGORITHM

ALGORITHM REFERENCES	none
******************************************************************************/
#include <stdio.h>
#include "las.h"

FUNCTION get_ahdr_par(vblock,arch_name,fopt,prtfil,outfil)

struct PARBLK	*vblock;	/* TAE parameter block			*/

long		*fopt;		/* Output to file option		*/

char		*arch_name,	/* Archive file name			*/
		*prtfil,	/* Temporary print file name		*/
		*outfil;	/* List of output files created		*/
{ 
long	status,                 /* Return value                         */
	topt,			/* Output to terminal option		*/
	lopt,			/* Output to line printer option	*/
	zero = 0,		/* Constant of zero			*/
	fatal = -1,             /* Fatal error code                     */
	access = IREAD;		/* Access type to read the ADDR		*/

/*
  Get the input name
*/
status = c_getnam(vblock,"INFILE",&zero,arch_name,"ahdr",&access);
if (status != E_SUCC)
    c_errmsg("Fatal error encountered","dspaddr-fatal",&fatal);

/*
  Get print option and open output file, if necessary 
*/
strcpy(prtfil,"dspahdr");
status = c_setprt(vblock,&topt,fopt,&lopt,prtfil,outfil);
if (status != E_SUCC)
    c_errmsg("Fatal error encountered","dspaddr-fatal",&fatal);

return;
}
