/*******************************************************************************
FUNCTION:	getpar

PURPOSE:   	Retrieve the parameters from the variable block.

*******************************************************************************/
#include "editahdr.h"

extern struct PARBLK vblock;	/* TAE parameter block			      */

FUNCTION getpar (infile, ceosid)

    char *infile;		/* OUT - Host name of input archive image     */
    char *ceosid;		/* OUT - CEOS ID to use to replace existing   */
{

long access;		/* File access mode 				      */
long zero     =  0;	/* Constant of zero                                   */

struct VARIABLE *p_find(); /* Function to retrieve a TAE variable             */
struct VARIABLE *parm;     /* Pointer to TAE parameter within vblock          */


/* Get the input image name.
------------------------------------------------------------------------*/
access = IREAD;
if (c_getnam(&vblock, "IN", &zero, infile, "arch", &access) != E_SUCC)
    c_lasmsg(TRUE, "editahdr-fatal", "Fatal error encountered");


/* Get the CEOS ID to replace the existing one with.
------------------------------------------------------------------------*/
parm = p_find(&vblock, "CEOSID");
strcpy(ceosid,SVAL(*parm,0));


return(E_SUCC);
}
