/* Include all of the required system include files
---------------------------------------------------*/
#include <stdio.h>
#include <string.h>


/* Include all of the required LAS and ADAPS include files
----------------------------------------------------------*/
#include "las.h"
#include "adaps.h"
#include "archio.h"
#include "tapeio.h"
#include "level1bio.h"


/* Define all application specific values
-----------------------------------------*/
#define MAX_VOL       3    /* Max number of tapes to read		*/
#define TOOLONG     100    /* Wait too long before processing, give msg	*/
#define L1BDISK     600    /* File type is Level 1b disk		*/
#define L1BTAPE     601    /* File type is Level 1b tape		*/
#define L1BREAD     610    /* File open for read			*/
#define L1BWRT      620    /* File open for write			*/


/*
  File descriptor definition
----------------------------*/
struct FDESC {
    long	ftype;		/* file type: L1BDISK or L1BTAPE	*/
    FILE	*fd;		/* disk file descriptor			*/
    char	drive[CMLEN];	/* tape drive name			*/
    long	tun;		/* tape logical unit number		*/
    long	numtapes;	/* number of tapes listed in comment	*/
    char	comment[MAX_VOL+1][CMLEN];	/* tape mount comments	*/
    long	volnum;		/* current volume number		*/
    long	tape;		/* flag indicating tape open/closed	*/
    long	openfor;	/* flag: L1BREAD or L1BWRT		*/
} fdesc;

