/*****************************************************************************
NAME:			GEN_RPT

PURPOSE:  Determine whether to generate an output report or not depending
	  on what the user specified.


PROGRAM HISTORY:
Version     Date     Author             Description
-------     ----     ------             --------------
 5.0        03/92    T. Baltzer		Original development
 5.1        01/95    J. Fenno           Added code for NOAA-14 (23455)
 5.2	    06/98    D. Lloyd		Added code for NOAA-15 (25338)
 5.3        09/00    D. Lloyd           Added code for NOAA-16 (26536)

PROJECT:       ADAPS

ALGORITHM:     See in-line documentation

ALGORITHM REFERENCES:      none
******************************************************************************/
#include <stdio.h>
#ifdef VMS
#include <file.h>
#else
#include <sys/file.h>
#endif
#include "worgen.h"

#define   TOTSAT      7

FUNCTION gen_rpt(navid,numsat)

long   navid;		/* Navspasur satellite id */
long   numsat[];	/* Satellite numbers to print out */
{
long   i;			 /* counter */

switch (navid)
   {
   case 15427:
	       for (i = 0; i < TOTSAT; i++)
		  {
		  if (numsat[i] == 9)
		  return(E_SUCC);
		  }
	       break;
   case 16969:
	       for (i = 0; i < TOTSAT; i++)
		  {
		  if (numsat[i] == 10)
		  return(E_SUCC);
		  }
	       break;
   case 19531:
	       for (i = 0; i < TOTSAT; i++)
		  {
		  if (numsat[i] == 11)
		  return(E_SUCC);
		  }
	       break;
   case 21263:
	       for (i = 0; i < TOTSAT; i++)
		  {
		  if (numsat[i] == 12)
		  return(E_SUCC);
		  }
	       break;
   case 23455:
	       for (i = 0; i < TOTSAT; i++)
		  {
		  if (numsat[i] == 14)
		  return(E_SUCC);
		  }
	       break;
   case 25338:
	       for (i = 0; i < TOTSAT; i++)
		  {
		  if (numsat[i] == 15)
		  return(E_SUCC);
		  }
	       break;
   case 26536:
	       for (i = 0; i < TOTSAT; i++)
		  {
		  if (numsat[i] == 16)
		  return(E_SUCC);
		  }
	       break;
   default:
	       break;
   }

return(E_FAIL);
}
