/************************************************************************
FUNCTION:	DATESTRING

PURPOSE:	Convert an integer date in the form of YYYYJJJ into a
		character string of the form MM/DD/YY.


PROGRAM HISTORY:
Version Date    Author          Modification
_______ _____   _____________   ___________________
  1.0   10/98   D.Lloyd         Initial Development
  1.1   02/00   D.Lloyd		Minor Y2K printf format change

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        Run under Unix

PROJECT         ADAPS

*************************************************************************/
#include "schedcnflt.h"



int datestring(

    long date,			/* IN: integer date in form of YYYYJJJ	*/
    char *datestr		/* OUT: converted date "MM/DD/YY"	*/
)
{
long	day;			/* day					*/
long	jday;			/* julian day				*/
long	mon;			/* month				*/
long	year;			/* year					*/


/* Get gregorian month/day */
jday = date % 1000;
year = date / 1000;
c_julgre( &year, &jday, &mon, &day );

/* Convert to a string */
year %= 100;
/* change year format string -- Y2K */
sprintf( datestr, "%02d/%02d/%02d", mon, day, year );

return E_SUCC;
}
