/************************************************************************
FUNCTION:	get_date

PURPOSE:	Convert a character string date in the form MM/DD/YY
		into an integer YYYYJJJ.


PROGRAM HISTORY:
Version Date    Author          Modification
_______ _____   _____________   ___________________
  1.0   10/98   D.Lloyd         Initial Development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        Run under Unix

PROJECT         ADAPS

*************************************************************************/
#include "schedcnflt.h"

long get_date(

    char *cdate			/* IN: character date as MM/DD/YY	*/
)
{
char	str[9];			/* local copy of char date		*/

long	day;			/* extracted day			*/
long	jdate;			/* julian day				*/
long	mon;			/* extracted month			*/
long	year;			/* extracted year			*/


/* Make a local copy of the date and replace '\' with ' '
and convert the char values to integer values.
---------------------------------------------------------*/
strcpy( str, cdate );
str[2] = str[5] = ' ';
sscanf( str, "%d %d %d", &mon, &day, &year );

/* Convert to year to 4-digits and get a julian day
---------------------------------------------------*/
year = c_4digityr( year );
c_grejul( &year, &mon, &day, &jdate );

/* Combine the year and jday into a single value
------------------------------------------------*/
jdate += year * 1000;

return jdate;
}
