/************************************************************************
FUNCTION:	GET_TIME

PURPOSE:	Convert a character string time of the form HH:MM:SS
		into an integer seconds since midnight.


PROGRAM HISTORY:
Version Date    Author          Modification
_______ _____   _____________   ___________________
  1.0   10/98   D.Lloyd         Initial Development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        Run under Unix

PROJECT         ADAPS

*************************************************************************/
#include "schedcnflt.h"

long get_time(

    char *ctime			/* IN: character string as HH:MM:SS	*/
)
{
char	str[9];			/* local copy of char ctime		*/

long	hr;			/* extracted hour			*/
long	min;			/* extracted minute			*/
long	sec;			/* extracted seconds			*/
long	time;			/* extracted time in seconds		*/


/* Make a local copy of the time, replace the ':' with ' ',
and convert to integers
-----------------------------------------------------------*/
strcpy( str, ctime );
str[2] = str[5] = ' ';
sscanf( str, "%d %d %d", &hr, &min, &sec );

/* calculate total seconds since midnight
-----------------------------------------*/
time = 0;
time += hr * SEC_PER_HR;
time += min * SEC_PER_MIN;
time += sec;

return time;
}
