/************************************************************************
FUNCTION:	PRINT_CONFLICTS

PURPOSE:	Search the linked list of passes for conflicts and
		print the line to the output file along with the entry
		that is scheduled.


PROGRAM HISTORY:
Version Date    Author          Modification
_______ _____   _____________   ___________________
  1.0   10/98   D.Lloyd         Initial Development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        Run under Unix

PROJECT         ADAPS

*************************************************************************/
#include "schedcnflt.h"


int print_conflicts(

    FILE	*ouf,		/* IN: output file descriptor		*/
    struct PASS **passlist	/* IN: pointer to pass list		*/
)
{
long	conflict = FALSE;	/* flag: conflict in schedule		*/

struct	PASS	*curr;		/* pointer to current pass		*/
struct	PASS	*prev;		/* pointer to previous pass		*/

prev = *passlist;
curr = prev->next;
do
    {
    if ( curr->sched && prev->sched && prev->conflict )
        {
	conflict = TRUE;
	if ( atoi(prev->satnum) == 14 )
	    {
	    fprintf( ouf, "%s %s Scheduled\n", prev->satnum, prev->line );
	    fprintf( ouf, "%s %s Conflict\n\n", curr->satnum, curr->line );
	    }
	else
	    {
	    fprintf( ouf, "%s %s Conflict\n", prev->satnum, prev->line );
	    fprintf( ouf, "%s %s Scheduled\n\n", curr->satnum, curr->line );
	    }
	}
    else if ( curr->sched && prev->conflict )
        {
	conflict = TRUE;
	fprintf( ouf, "%s %s Conflict\n", prev->satnum, prev->line );
        fprintf( ouf, "%s %s Scheduled\n\n", curr->satnum, curr->line );
	}
    prev = curr;
    curr = curr->next;
    }
while( curr != NULL );

if ( !conflict )
    fprintf( ouf, "\nNo conflicts detected during this time period\n" );


return E_SUCC;
}
