/************************************************************************
FUNCTION:	PRINT_FOOTER

PURPOSE:	Print a footer to the report file.


PROGRAM HISTORY:
Version Date    Author          Modification
_______ _____   _____________   ___________________
  1.0   10/98   D.Lloyd         Initial Development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        Run under Unix

PROJECT         ADAPS

*************************************************************************/
#include "schedcnflt.h"



int print_footer(

    FILE	*ouf,		/* IN: output file descriptor		*/
    struct PASS	**passlist	/* IN: pointer to pass list		*/
)
{
char	edate[9];		/* end date				*/
char	sdate[9];		/* start date				*/

struct	PASS	*curr;		/* pointer to current pass		*/


/* determine starting and ending dates
--------------------------------------*/
curr = *passlist;
strncpy( sdate, &curr->line[14], 8 );
sdate[8] = 0;
while ( curr->next != NULL )
    curr = curr->next;
strncpy( edate, &curr->line[38], 8 );
edate[8] = 0;

/* print the footer
-------------------*/
fprintf( ouf, "\n\nThis report covers the period %s through %s\n",
		sdate, edate );

return E_SUCC;
}

