/************************************************************************
FUNCTION:	PRINT_HEADER

PURPOSE:	Print a header to the report file.


PROGRAM HISTORY:
Version Date    Author          Modification
_______ _____   _____________   ___________________
  1.0   10/98   D.Lloyd         Initial Development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        Run under Unix

PROJECT         ADAPS

*************************************************************************/
#include "schedcnflt.h"

int print_header(

    FILE	*ouf,		/* IN: output file descriptor		*/
    struct tm	*lctm		/* IN: pointer to local time structure	*/
)
{
static	char	*month[12] = { "Jan","Feb","Mar","Apr","May","Jun","Jul",
				"Aug","Sep","Oct","Nov","Dec" };
static	char	*wday[7] = { "Sun","Mon","Tue","Wed","Thu","Fri","Sat" };


fprintf( ouf, " %s. %s %d %d", wday[lctm->tm_wday], month[lctm->tm_mon],
		lctm->tm_mday, lctm->tm_year+1900 );
fprintf( ouf, "                 EROS Data Center \n" );
fprintf( ouf, " Time %02d:%02d               Sioux Falls, South Dakota  57198\n", lctm->tm_hour, lctm->tm_min );
fprintf( ouf, "                    AVHRR Data Acquisition and Processing System\n" );
fprintf( ouf, "                     Automatic Pass Acquisition Conflict Report\n\n\n" );
fprintf( ouf, "Sat   Orbit        Start       Start       End         End      Length     \n" );
fprintf( ouf, "Num   Number       Date        Time        Date        Time     of Pass    \n" );
fprintf( ouf, "___   ______       _____       _____       ____        ____     _______   \n\n" );

return E_SUCC;
}
