/************************************************************************
FUNCTION:	TIMESTRING

PURPOSE:	Change an integer time value in seconds since midnight
		into a character string HH:MM:SS.


PROGRAM HISTORY:
Version Date    Author          Modification
_______ _____   _____________   ___________________
  1.0   10/98   D.Lloyd         Initial Development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        Run under Unix

PROJECT         ADAPS

*************************************************************************/
#include "schedcnflt.h"



int timestring(

    long	tsec,		/* IN: seconds since midnight		*/
    char	*timestr	/* OUT: string representation of input	*/
)
{
long	hr;			/* calculated hour			*/
long	min;			/* calculated minute			*/
long	sec;			/* calculated seconds			*/


sec = tsec;
hr = sec / SEC_PER_HR;
sec -= hr * SEC_PER_HR;

min = sec / SEC_PER_MIN;
sec -= min * SEC_PER_MIN;

sprintf( timestr, "%02d:%02d:%02d", hr, min, sec );


return E_SUCC;
}
