#ifndef ACQUMAN_H
#define ACQUMAN_H

#include <sys/types.h>
#include <Xm/Xm.h>
#include "widget_name.h"

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE  (!FALSE)
#endif
#ifndef CMLEN
#define CMLEN 256
#endif
#ifndef YES
#define YES 2
#endif
#ifndef NO
#define NO  1
#endif

/* SUCCESS or FAIL return status */
#define E_SUCC 0
#define E_FAIL -1

#define DEBUG FALSE

/* Define the default log file
------------------------------------------------------------*/
#define ACQUMANLOG         "acquman.log"

/* function prototypes
----------------------*/
long c_4digityr
(
   long year       /* I: year value to be converted                    */
);

void c_grejul
(
   long *year,          /* I:  Year                                     */
   long *month,         /* I:  Gregorian month                          */
   long *day,           /* I:  Gregorian day                            */
   long *jdate          /* O:  Julian date                              */
);

int c_isleap
(
   long *year             /* I:  Year to test                           */
);

Widget create_main_display
    (
    Widget toplevel             /* IN - top level shell widget		*/
    );

void create_modsid
    (
    char sceneid[]              /* 16-character scene id        */
    );

void exit_callback
    (
    Widget    w,                /* IN - widget associated with the CB   */
    XtPointer call_data         /* IN - call data                       */
    );

void fork_child
    (
    char childname[10], /* Child name                   */
    int *csd,           /* Child socket descriptor      */
    pid_t childid       /* Child process id             */
    );

void get_file_size
(
    char file_name[CMLEN],      /* Full path specification of files   */
    long *file_size             /* Size in bytes of each file         */
);

void get_next_scene
    (
    char ltime_disp[]           /* Local time in display format         */
    );

Widget get_toplevel_shell
    (
    Widget w			/* IN - calling widget value		*/
    );

int get_user_response
    (
    Widget   parent,            /* IN - widget of the caller		*/
    char     *question,         /* IN - message to be displayed		*/
    char     *ans1,             /* IN - the no answer button label	*/
    char     *ans2,             /* IN - the yes answer button label	*/
    int      default_answer     /* IN - default answer to use		*/
    );

void makesecs
(
    long date[],                /* date (month, day, year)              */
    long time[],                /* time (hour, min, sec)                */
    long *totsecs               /* total seconds                        */
);

void response
    (
    Widget    widget,           /* IN - widget associated with callback */
    XtPointer client_data,      /* IN/OUT - pointer to int, the answer  */
    XtPointer call_data         /* IN - call back struct for response   */
    );

void set_start_alarm
    (
    );

void set_stop_alarm
    (
    );

void start_callback
    (
    );

void stop_callback
    (
    );

void write_log
    (
    int    flag,		/* IN - TRUE/FALSE fatality flag	*/
    				/*      TRUE = issue fatal error message*/
    char   *key,                /* IN - error/message key		*/
    char   *code,               /* IN - error/message code		*/
    char   *msg			/* IN - message string			*/
    );

#endif

