#define       	NUMPNT  630 		/* # of points in our coverage circle */
#define		M_PER_MILE 1850.0	/* meters per nautical mile */

/*******************************************************************
  FUNCTION prototypes
*******************************************************************/
#ifndef	AUTOGEN_H
#define	AUTOGEN_H
#include <stdio.h>

/* calcdist.c */
/* Line       44 */
void calcdist
(
    double	lat1, 
    double	lon1, 
    double	lat2, 
    double	lon2, 
    double	mm, 
    double	*angdist, 
    double	*distance, 
    long	*viewtime
);

/* checkday.c */
/* Line       17 */
int checkday
(
    long	date[]
);

/* checktim.c */
/* Line       17 */
int checktim
(
    long	time[]
);

/* consec.c */
/* Line       20 */
void consec
(
    long	*totsecs, 
    long	*year, 
    long	*jday, 
    long	*month, 
    long	*day, 
    long	*hours, 
    long	*minutes, 
    long	*seconds
);

/* cpoly.c */
/* Line       26 */
int cpoly
(
    float	lon, 
    float	lat
);

/* findclosest.c */
/* Line       19 */
int findclosest 
(
    struct MODEL *model, 
    double	stalat, 
    double	stalon, 
    long	*offtime, 
    double	*applat, 
    double	*applon
);

/* findends.c */
/* Line       18 */
void findends
(
    struct MODEL	*model, 
    long	mintime, 
    long	maxtime, 
    long	pastime, 
    double	paslat, 
    double	paslon, 
    long	*startoff, 
    long	*endoff
);

/* findpasses.c */
/* Line       17 */
int findpasses
(
    FILE	*sched, 
    FILE	*report, 
    long	satid, 
    char	*satnam, 
    char	*satno, 
    float	targlat, 
    float	targlon, 
    long	sdate[], 
    long	stime[], 
    long	edate[], 
    long	etime[], 
    long	minsecs, 
    long	varsecs, 
    float	mxdist, 
    long	opmode, 
    long	*msgtim
);

/* getpar.c */
/* Line       19 */
int getpar
(
    struct  PARBLK	*vblock, 
    FILE    **report, 
    FILE    **sched, 
    char	*satid, 
    long	sdate[], 
    long	edate[], 
    long	stime[], 
    long	etime[], 
    float	target[], 
    long	*opmode, 
    long	*minsecs, 
    long	*varsecs, 
    float	*maxdist, 
    long	*schadd, 
    char	outnames[][CMLEN], 
    long	*outcount, 
    long	*msgtim
);

/* header.c */
/* Line       16 */
void header
(
    FILE	*report, 
    char 	*satnam, 
    char 	*satno, 
    long	sdate[3], 
    long	stime[3], 
    long	edate[3], 
    long	etime[3], 
    float	targlat, 
    float	targlon
);

/* makesecs.c */
/* Line       18 */
void makesecs
(
    long	date[], 
    long	time[], 
    long	*totsecs
);

/* savsched.c */
/* Line       18 */
void savsched
(
    FILE	*sched, 
    char	*sceneid, 
    long	satid, 
    long	start_sec, 
    long	stop_sec, 
    long	opcode, 
    long	orbit
);

/* set_circle.c */
/* Line        7 */
void set_circle
(
    float	targlat, 
    float	targlon
);

/* setfirsttime.c */
/* Line       32 */
int setfirsttime
(
    long	*totsecs, 
    long	satid, 
    struct MODEL *model
);

/* write_report.c */
/* Line       16 */
void write_report
(
    FILE	*report, 
    long	orbit, 
    char 	*satnam, 
    char 	*satno, 
    long	intsdate[3], 
    long	intstime[3], 
    long	intedate[3], 
    long	intetime[3], 
    long	sdate[3], 
    long	stime[3], 
    long	edate[3], 
    long	etime[3], 
    long	passlength, 
    long	closestsecs, 
    long	viewtime, 
    float	targlat, 
    float	targlon, 
    double	dist, 
    char 	*select, 
    long	opmode
);
#endif
