#!/bin/sh
#
#  This script will ftp a file from a remote system.
#  This script is part of the NOAAFTP module.
#
#  USAGE: autoftp.sh <user> <passwd> <remotesystem> <filename1> <filename2>
#
#  where   <user>         is the user id
#	   <passwd>       is the user's password
#          <remotesystem> is the remote system to ftp to.
#	   <filename1>     is the name of the 1st file to try to ftp.
#	   <filename2>     is the name of the 2nd file to try to ftp.
#
user=$1
passwd=$2
remotesys=$3
filename1=\'$4\'
filename2=\'$5\'
echo "open ${remotesys}
      user ${user} ${passwd}
      type binary
      prompt
      mget "${filename1} ${filename2}"
      bye" | ftp -n -v 2>&1 | grep -i "TRANSFER COMPLETE" > /dev/null
if test $? -ne 0
then
   echo "Transfer failed:  mget ${filename1} ${filename2}"
   exit 1
else
   echo "Transfer completed:  mget ${filename1} ${filename2}"
   exit 0
fi

