#ifndef EZIO_H
#define EZIO_H

#include "las.h"
#include "util.h"

/* Define "constants"
  -----------------*/
#define BYTE	 1
#define SHORT	 2
#define LONG	 3
#define FLOAT	 4
#define DOUBLE	 5
#define COMPLEX	 6
#define DCOMPLEX 7

#define TWOPI 	6.28318530718

#define PT      0
#define NORTH   1
#define SOUTH   2
#define EAST    3
#define WEST    4
#define ELEVDIM 5

/* Misc macros
  -----------*/
#define SQUARE(x)       x * x   /* x**2 */
#define CUBE(x)     x * x * x   /* x**3 */
#define QUAD(x) x * x * x * x   /* x**4 */

#define GMAX(A, B)      ((A) > (B) ? (A) : (B)) /* assign maximum of a and b */
#define GMIN(A, B)      ((A) < (B) ? (A) : (B)) /* assign minimum of a and b */

#define IMOD(A, B)      (A) - (((A) / (B)) * (B)) /* Integer mod function */


void start
(
    char name[25]          /* Name of LAS function */
);

int get_long
(
    char parm[25]
);

float get_float
(
    char parm[25]
);

void finish
(
    int reduce_flag  /* flag to indicate the output image was reduced from
                        the input image (1=reduced, 0=enlarged) */
);

void proc_mess(void);

void get_line
(
    unsigned char *buf
);

void get_dem_line
(
    short *buf
);

void put_line
(
    unsigned char *buf
);

void init_outimg
(
    long nl,
    long ns,
    long nb,
    long odtype
);

unsigned char* init_buf
(
    long length,
    long dtype
);

void init_inimg
(
    long *nl,
    long *ns,
    long *nb,
    long var_num,
    long dtype
);

void init_indem
(
    char parm[25],
    long *nl,
    long *ns,
    long *nb,
    long var_num,
    long dtype
);

#endif
