/******************************************************************************
FUNCTION:      las50_decode_76.c 

PURPOSE:       Decode_76 decodes a -7 ,6 shift to ends encoding scheme. 

PROGRAM HISTORY:
Version    Date     Author              Change Request
-------    -----    -------------       --------------
  1.0      07/92    T. Mittan           Original implementation

*/

#include <stdio.h>
#include "las.h"

#define   shift_down   0x000D           /*     1010  4                  */
#define   m6           0x007F           /* 111 1111  7                  */
#define   m5           0x003E           /*  11 1110  6                  */
/*
#define   m4           0x0005                1 1110  5                  
#define   m3           0x0006                  1101  4                  
#define   m2           0x0007                  1100  4                  
*/
#define   m1           0x0004           /*      100  3                  */
/*
#define   zero         0x0000                    00  2                  
#define   p1           0x000A                  0110  4                  
#define   p2           0x000B                  0111  4                  
#define   p3           0x000C                  0100  4                  
#define   p4           0x001C                  0101  4                  
#define   p5           0x001D                1 1100  5          
#define   p6           0x001E                1 1101  5          
#define   p7           0x007E              111 1110  7                  
*/
#define   shift_up     0x0004           /*     1011  4                  */

las50_decode_76(inpt, outpt, ns,width)

   unsigned char  *inpt;                /* input buffer                 */
   unsigned char  *outpt;               /* output buffer                */
   long ns;                             /* number of samples            */
   long width;                          /* number of bytes per sample   */
{
long code;                           /* encoded shift code           */
long temp1;                          /* temp value of previous inpt  */
long temp2;                          /* temp value of previous inpt  */
long j;                              /* counter                      */
long temp;                           /* temporary variable           */
long input_bit = 0;                  /* number of input bits         */
unsigned char  *in_ptr;              /* output buffer                */
unsigned char  *out_ptr;             /* output buffer                */
unsigned long inlas50_put_buffer = 0;        /* input bit buffer             */
long      i,                         /* counter                      */
shift;                      /* amount of shift to be applied*/

in_ptr = inpt;
out_ptr = outpt;
inpt++;
while (input_bit <=24)
    {
    inlas50_put_buffer |= ((unsigned long) *inpt << (24- input_bit));
    inpt++;
    input_bit += 8;
    }
*(outpt) = inlas50_put_buffer >> 24;
inlas50_put_buffer <<= 8;
input_bit -= 8;

temp = width;
out_ptr = outpt;
temp1 = *outpt;
temp2 = 1;
/* for each byte of data type decode NS bits of data
---------------------------------------------------*/
if (in_ptr[0] == (char)1)       /* if data has been compres */
    {
    for (j = 0; j < width; j++)
        {
        for(outpt = out_ptr + j + temp,i =  temp2; i < ns ; i++, outpt +=width)
            {
            shift = 0;
            for(;;)
                {
                if (input_bit <=24)
                    {
                    inlas50_put_buffer |= ((unsigned long) *inpt << (24 - input_bit));
                    inpt++;
                    input_bit += 8;
                    }
                if ((inlas50_put_buffer >> 30) == 0)
                    {
                    inlas50_put_buffer <<= 2;
                    input_bit -= 2;
                    }
                else if ((inlas50_put_buffer >> 29) == m1)
                    {
                    shift -=1;
                    inlas50_put_buffer <<= 3;
                    input_bit -= 3;
                    }
                else
                    {
                    code = inlas50_put_buffer >> 28;
                    if (code == shift_down)
                        {
                        shift -=13;
                        inlas50_put_buffer <<= 4;
                        input_bit -= 4;
                        continue;
                        }
                    else if (code == shift_up)
                        {
                        shift +=13;
                        inlas50_put_buffer <<= 4;
                        input_bit -= 4;
                        continue;
                        }
                    else if (code < 13)
                        {
                        shift += code -9;
                        inlas50_put_buffer <<= 4;
                        input_bit -= 4;
                        }
                    else
                        {
                        code = inlas50_put_buffer >> 27;
                        if (code < 31)
                            {
                            shift += code - 24;
                            inlas50_put_buffer <<= 5;
                            input_bit -= 5;
                            }
                        else if ((inlas50_put_buffer >> 26) == m5)
                            {
                            shift -=5;
                            inlas50_put_buffer <<= 6;
                            input_bit -= 6;
                            }
                        else
                            {
                            if ((inlas50_put_buffer >> 25) == m6)
                                shift -=6;
                            else
                                shift += 7;
                            inlas50_put_buffer <<= 7;
                            input_bit -= 7;
                            }
                        }
                    }
                break;
                }
            /* save output value
            ------------------*/
            temp1 += shift;
            *outpt = temp1;
            }    
        temp = 0;
        temp2 = 0;
        }
    }
else
    {  /* data has not been compres */
    inpt = in_ptr;
    inpt++;
    outpt = out_ptr;
    for (j = 0; j < width; j++)
        {
        for(i =  0; i < ns ; i++, outpt++, inpt++)
            *outpt = *inpt;
        }
    }
}
