#include <stdio.h>

struct FDESC            /* file descriptor */
{

        long nl;                /* number of lines */
        long ns;                /* number of samples */
        long sl;                /* starting line */
        long ss;                /* starting sample */
        long *offset;           /* pointer to users offset array */
        long acc;               /* access READ WRITE or UPDATE */
        long method;            /* access method RANDOM or SEQ */
        long dtype;             /* data type of data */
        long nbuf;              /* number of circular buffers */
        long linsiz;            /* actual line size in bytes */
        long conv_type;         /* data type to be converted to */
        long cnvlsz;            /* actual line size of converted data */
        char fname[CMLEN];      /* host name of the data file */
        long nbands;            /* number of bands to be processed */
        unsigned long flags;            /* misc flags */
        long bands[MAXBND];     /* band array of specific band numbers */
        struct IFCB ifcb;       /* the i_ ifcb */       
        struct BUF *buf;        /* buffer structure */
        struct UPBUF *upbuf;    /* update buffer structure */
        FILE *fp;               /* file pointer for compressed files */
        unsigned char *conv_buf;        /* conversion buffer address */
        long file_linsiz;       /* linesize of the file */
        long compres;           /*  compression flag    */
        long *foffset;          /* compression file pointer           */
        long *f_pointer;        /* line, band offset array for compressed file*/
        long mbands;            /* number of bands in compressed file */
        long mns;               /* number of bands in compressed file */
        unsigned char *tempbuf; /* temporary buffer for a single line */
};

struct GDESC            /* group descriptor */
{
        struct FDESC *fdarray[MAXIMG];   /* array of file descriptors group */
        long    nl;                     /* number of lines to be processed */
        long    nfiles;                 /* number of files in group */
        long    line_cnt;               /* line counter for current line */
        unsigned char   *thebuf;        /* address of buffer pool */
        long    thebufsz;               /* size of buffer pool */
        unsigned char   *the_nxt_space; /* next allocatable address in buffer
                                                pool */
        long    gbl_nlines;             /* number of lines in buffer pool */
};
