#ifndef DISKIO_H
#define DISKIO_H

/*
 * Return status values from disk handling routines
 */
#define	DISK_EXISTS	 -2			/* file exists		  */
#define	DISK_GONE	 -3			/* file does not exist	  */
#define	DISK_NOSPACE -4			/* no space for file	  */
#define MAXPATH		 50			/* maximum number of paths*/

/* NOTE:  should be able to delete these since UNIX_DISK should no longer 
          be used, but have to check all applications first */
#ifdef sparc
#define UNIX_DISK				/* define unix disk	  */
#endif
#ifdef sgi
#define UNIX_DISK				/* define unix disk	  */
#endif


int c_dkbuf
(
    long *bufsize       /* size of buffer */
);

int c_dkcopy
(
    char *from,         /* current file name */
    char *to,           /* new file name */
    char directories[][CMLEN]  /* list of destination directories */
);

int c_dkcre
(
    char directories[][CMLEN],  /* array of directories to search for space */
    char *filename,             /* name of file to be created */
    long long filesize,         /* size of file to be created */
    long wait                   /* wait > 0, wait for space */
                                /* wait = 0, do not wait for space */
);

int c_dkdel
(
    char *filename      /* name of file to be deleted */
);

int c_dkfree
(
    char *path          /* pathname to unreserve space for*/
);

int c_dkmove
(
    char *from,         /* name of file to be moved */
    char *to,           /* name of output file */
    char directories[][CMLEN] /* list of destination directories */
);

int c_dkresv
(
    char *path,         /* pathname to reserve space for */
    long long size      /* Size of the file to reserve space for*/
);

long long c_dkrspac
(
    char *path          /* pathname to determine free space          */
);

int c_dkusage
(
    char *path,         /* pathname to check usage thereof */
    long *usage_counter /* Utilization counter for path */
);

#endif
