/****************************************************************************
FUNCTION:       ANTOI

PURPOSE:        ANTOI takes an ascii string that is neither null-terminated 
                nor white-space-terminated and converts it to a decimal value.
                It can do so by knowing the size of the string.

PROGRAM HISTORY:
  Version       Author       Date    Change Request
  -------       ------       -----   --------------
  5.0           B.Davis      05/89   Original development

                                        
COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
                none.

PROJECT:        LAS 5.0

ALGORITHM(flow):
                for size of characters
                        take ascii value of character times 10
                        index it by the ascii value of 0


ALGORITHM REFERENCES:
                none
*******************************************************************************/

#include <ctype.h>
#include "las.h"
#include "cm.h"

/***   Convert ascii digit string to a decimal value    ***/

int antoi
(
    char *srce,                /* source string to convert     */
    long *sz,                  /* number of chars to convert   */
    long *value                /* decimal value to return      */
)
{
    long        locsz;                  /* number of chars to convert   */

        *value = 0;
        locsz = *sz;

        for (; (locsz)-- && isdigit(*srce); srce++)
                {
                (*value) *= 10;
                (*value) += (*srce - '0');
                }
        return(E_SUCC);
}
