/******************************************************************************
FUNCTION:       cmtaedir

PURPOSE:

PROGRAM HISTORY:
Version    Date     Author              Change Request
-------    -----    -------------       --------------
  1.0      ??/??    ???                 Original development
  5.0      04/88    D. Hollaren         Put the prolog on
  5.1      07/88    B. Davis            fixed bug using wildcards
  5.2      01/91    D.Etrheim           Standardized error message handling

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        None.

PROJECT                 LAS

ALGORITHM 
Using the input host directory specification attach a dummy host file name
and call c_cmtae to translate it to the TAE directory specification.

ALGORITHM REFERENCES    none
*******************************************************************************/

#include <stdio.h>
#include <string.h>
#include "las.h"
#include "cm.h"

int cmtaedir
(
    char *hostdir,              /* host directory specification */
    char *taedir                /* TAE directory specification  */
)
{
        char lhost[CMLEN];
        char *ptr;

        long one = 1;

/*
  Copy the host directory specification into a temp variable
*/
        strcpy (lhost, hostdir);

/*
  Attach a dummy host file name so c_cmtae can be called to translate the
  host directory to a TAE directory specification.
*/
        strcat(lhost, "/dum.dum");

/*
  Translate the host file name
*/
        strcpy(taedir, lhost);
 

/*
  Make sure the tae directory end character exist
*/
        ptr = strrchr(taedir, '/');
        if (ptr != 0)
        {
                ptr++;
                *ptr = 0;
                return(E_SUCC);
        }
        c_errmsg("Invalid LAS file directory specification","cmtaedir-invalid",
                 &one);
        return (E_FAIL);
}
