/******************************************************************************

FUNCTION:       DIRNM

PURPOSE:        Receives a host name including the full path and returns the
                path without the file name, only the preceding path.

PROGRAM HISTORY:
  Version       Author       Date    Change Request
  -------       ------       -----   --------------
  5.0           B.Davis      05/89   Original development
  5.1           D.Etrheim    01/91   Standardized error message handling
                                        
COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
                none.

PROJECT:        LAS 5.0

ALGORITHM(flow): 
                point to the character after the last host directory separator


ALGORITHM REFERENCES:
                none.
*******************************************************************************/

#include <string.h>
#include "las.h"
#include "cm.h"

int dirnm
(
    char *hnam                  /* pointer to host path name */
)
{
    char *ptr;                  /* local character pointer */
    long one = 1;

    ptr = (char *)strrchr(hnam,HOST_DIR_END);

    if (ptr == 0)
    {
       c_errmsg("Error stripping file from host name","dirnm-strrchr",&one);
       return(E_FAIL);
    }

    ptr++;

    *ptr = 0;

    return(E_SUCC);
}
