/******************************************************************************
FUNCTION:       get_def_dir

PURPOSE:        Get the users default directory

PROGRAM HISTORY:
Version    Date     Author              Change Request
-------    -----    -------------       --------------
  5.0      ???      ????                Original implementation
  5.1      12/90    D. Etrheim          Added VMS capabilities

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
        None.

PROJECT                 LAS

ALGORITHM 
Get the specified user's working directory

ALGORITHM REFERENCES    none

Note:  GET_MY_DEF breaks the rule of printing an error message before
       returning E_FAIL
*******************************************************************************/

#include <stdio.h>
#include <string.h>
#include <pwd.h>
#include "las.h"
#include "cm.h"

int get_def_dir
(
    char *usercode,
    char *dir
)
{
    struct passwd *pwd;

    pwd = getpwnam(usercode);
    if (pwd == NULL)
       return(E_FAIL);

    strcpy(dir, pwd->pw_dir);
    return(E_SUCC);
}
