/******************************************************************************

FUNCTION:       ISIMAGE

PURPOSE:        Checks to see if the current tae file name is an image file
                by statusing the existence of an img file with the same root
                name.

PROGRAM HISTORY:
  Version       Author       Date    Change Request
  -------       ------       -----   --------------
  5.0           B.Davis      05/89   Original development

                                        
COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
                none.

PROJECT:        LAS 5.0

ALGORITHM(flow):
                if filename extension is img
                        return true
                if filename has no extension
                        return false

ALGORITHM REFERENCES:
                none.
******************************************************************************/

#include <stdio.h>
#include <string.h>
#include <sys/file.h>
#include "las.h"
#include "cm.h"

int isimage
(
    char *taen          /* pointer to tae name                        */
)
{
    char *inptr;          /* pointer to step through name by characters */
    char imgnm[CMLEN];    /* image name without extension               */

    inptr = imgnm;
    inptr = (char *)strchr(taen, TAE_EXT);
    if (inptr != 0)
    {
       inptr++;
       if ((strcmp(inptr,"img") == 0) || (strcmp(inptr,"IMG") == 0))
          return(TRUE);
       else
          return(FALSE);
    }
    else
       return(FALSE);
}

