/******************************************************************************

PROGRAM:        MKDR

PURPOSE:        Creates a new directory in the user's directory tree.

PROGRAM HISTORY:
Version    Date     Author              Change Request
-------    -----    -------------       --------------
  5.0      01/90    B. Davis            Original development
  5.1      01/91    D. Etrheim          Standardized error message handling

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
                None.

PROJECT:        LAS

ALGORITHM:
                Creates a new directory in the user's directory tree.

ALGORITHM REFERENCES:   
                Used to be part of cmmkdir, taken out and made a support
                so that other code could call it.

FATAL ERROR CONDITIONS:
                Error creating directory: <directory name>


ALGORITHM(flow):
                call lib/creat if vms or mkdir if unix

******************************************************************************/


#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <errno.h>
#include "las.h"
#include "cm.h"

int mkdr
(
    char *hostnm                        /* pointer to directory path    */
)
{
    long one = 1;                       /* value of one                 */
    char msgtxt[CMLEN];                 /* message text                 */
    char tstring[CMLEN];                /* temporary string             */
    long len;                           /* length of hostname           */
    long mode=511;                      /* mode for mkdir (2**9 -1)     */

    len = (long)strlen(hostnm);
    if (hostnm[len-1] == '/')
        hostnm[len-1] = 0;
    if (mkdir(hostnm,mode) != 0)
    {
        sprintf (msgtxt,"Error creating directory: %s",tstring);
        c_errmsg (msgtxt,"mkdr-create",&one);
        sprintf (msgtxt,"%s",strerror(errno));
        c_errmsg (msgtxt,"mkdr-create",&one);
        return(E_FAIL);
    }
    strcat (hostnm,"/");

    return(E_SUCC);
}
