#include <stdlib.h>
#include "las.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the sun */
#ifdef _IBMR2
#define minmax_ minmax
#endif
minmax_( hname, nimg, window, bands, nbands, minval, maxval, h_len)
   char hname[][CMLEN];
   long *nimg;
   long window[][4];
   long bands[][MAXBND + 1];
   long *nbands;
   double *minval;
   double *maxval;
   long h_len;
{
long i;
long one = 1;
long status;

char *hname_ptr;

hname_ptr = (char *)malloc(CMLEN * *nimg);
if (hname_ptr == NULL)
   {
   c_errmsg("Error allocating dynamic memory","minmax-alloc",&one);
   return(E_FAIL);
   }

for (i= 0; i < *nimg; i++)
    strcpy(hname_ptr + (i * CMLEN),squeeze (hname[i],h_len));

status = c_minmax(hname_ptr,nimg,window,bands,nbands,minval,maxval);

free(hname_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX */
minmax( hname, nimg, window, bands, nbands, minval, maxval)
   struct DESC *hname;
   long *nimg;
   long window[][4];
   long bands[][MAXBND + 1];
   long *nbands;
   double *minval;
   double *maxval;
{
long i;
long one = 1;
long status;

char *hname_ptr;

hname_ptr = malloc(CMLEN * *nimg);
if (hname_ptr == NULL)
   {
   c_errmsg("Error allocating dynamic memory","minmax-alloc",&one);
   return(E_FAIL);
   }

for (i= 0; i < *nimg; i++)
    strcpy(hname_ptr + (i * CMLEN),squeeze (hname[i].addr,hname[i].length));

status = c_minmax(hname_ptr,nimg,window,bands,nbands,minval,maxval);

if (free(hname_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","minmax-free",&one);

return(status);
}
#endif
