#include "las.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX */
#ifdef _IBMR2
#define putddr_ putddr
#endif
putddr_(hname,ddr,hname_len)
    char *hname;
    struct DDR *ddr;
    long hname_len;
{
long one = 1;
long status;

char *hname_ptr;

hname_ptr = squeeze(hname,hname_len);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","putddr-call",&one);

status = c_putddr(hname_ptr,ddr);

free(hname_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX */
putddr(hname,ddr)
   struct DESC *hname;
   struct DDR *ddr;
{
long one = 1;
long status;

char *hname_ptr;

hname_ptr = squeeze(hname->addr,hname->length);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","putddr-call",&one);

status = c_putddr(hname_ptr,ddr);

if (free(hname_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","putddr-free",&one);

return(status);
}
#endif
