#include "las.h"

#ifdef unix
/* Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define rotcor_ rotcor
#endif
rotcor_(proj,image,window,proj_wind)

				/* The following parameters with 8 elements are
				   ordered as follows:
				     [0] = upper left y
				     [1] = upper left x
				     [2] = lower left y
				     [3] = lower left x
 	  			     [4] = upper right y
				     [5] = upper right x
				     [6] = lower right y
  				     [7] = lower right x     */
double proj[];			/* Input image corner projection coordinates */
long image[];			/* Input image corner line,sample coordinates */
double window[];		/* Window applied to image */
double proj_wind[];		/* Output image corner projection coordinates */
{
long status;

status = c_rotcor(proj,image,window,proj_wind);
return(status);
}
#endif


#ifdef vms
/* Fortran bridge routine for the VAX  */
rotcor(proj,image,window,proj_wind)

				/* The following parameters with 8 elements are
				   ordered as follows:
				     [0] = upper left y
				     [1] = upper left x
				     [2] = lower left y
				     [3] = lower left x
 	  			     [4] = upper right y
				     [5] = upper right x
				     [6] = lower right y
  				     [7] = lower right x     */
double proj[];			/* Input image corner projection coordinates */
long image[];			/* Input image corner line,sample coordinates */
double window[];		/* Window applied to image */
double proj_wind[];		/* Output image corner projection coordinates */
{
long status;

status = c_rotcor(proj,image,window,proj_wind);
return(status);
}
#endif
