#include "las.h"

#ifdef unix
/* Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define rtcoef_ rtcoef
#endif
rtcoef_(proj,image,coef,flag)

				/* The following parameters with 8 elements are
				   ordered as follows:
				     [0] = upper left y
				     [1] = upper left x
				     [2] = lower left y
				     [3] = lower left x
 	  			     [4] = upper right y
				     [5] = upper right x
				     [6] = lower right y
  				     [7] = lower right x     */
double proj[];			/* Input image corner projection coordinates */
long image[];			/* Input image corner line,sample coordinates */
double coef[];			/* Transformation coefficients */
long *flag;			/* Specifies whether or not error messages
				   that are generated within the routine are
				   to be output to the terminal; FALSE 
				   specifies that no messages are to be 
				   output */
{
long status;

status = c_rtcoef(proj,image,coef,flag);
return(status);
}
#endif

#ifdef vms
/* Fortran bridge routine for the VAX  */
rtcoef(proj,image,coef,flag)

				/* The following parameters with 8 elements are
				   ordered as follows:
				     [0] = upper left y
				     [1] = upper left x
				     [2] = lower left y
				     [3] = lower left x
 	  			     [4] = upper right y
				     [5] = upper right x
				     [6] = lower right y
  				     [7] = lower right x     */
double proj[];			/* Input image corner projection coordinates */
long image[];			/* Input image corner line,sample coordinates */
double coef[];			/* Transformation coefficients */
long *flag;			/* Specifies whether or not error messages
				   that are generated within the routine are
				   to be output to the terminal; FALSE 
				   specifies that no messages are to be 
				   output */
{
long status;

status = c_rtcoef(proj,image,coef,flag);
return(status);
}
#endif
