#include "las.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the sun */
#ifdef _IBMR2
#define svmnmx_ svmnmx
#endif
svmnmx_(hname,totbnd,minval,maxval,m_flag,h_len,m_len)
   char *hname;
   long *totbnd;
   double minval[];
   double maxval[];
   char *m_flag;
   long h_len;
   long m_len;
{
long one = 1;
long status;

char *hname_ptr;
char *mflag_ptr;

hname_ptr = squeeze(hname,h_len);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","svmnmx-call",&one);
mflag_ptr = squeeze(m_flag,m_len);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","svmnmx-call",&one);

status = c_svmnmx(hname_ptr,totbnd,minval,maxval,mflag_ptr);

free(hname_ptr);

free(mflag_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX */
svmnmx(hname,totbnd,minval,maxval,m_flag)
   struct DESC *hname;
   long *totbnd;
   double minval[];
   double maxval[];
   struct DESC *m_flag;
{
long one = 1;
long status;

char *hname_ptr;
char *mflag_ptr;

hname_ptr = squeeze(hname->addr,hname->length);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","svmnmx-call",&one);
mflag_ptr = squeeze(m_flag->addr,m_flag->length);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","svmnmx-call",&one);

status = c_svmnmx(hname_ptr,totbnd,minval,maxval,mflag_ptr);

if (free(hname_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","svmnmx-free",&one);

if (free(mflag_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","svmnmx-free",&one);

return(status);
}
#endif
