#include "las.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the sun  */
#ifdef _IBMR2
#define upddr_ upddr
#endif
upddr_(parblk,host_in,host_out,nmrimg,window,bands,nbands,
		   line_inc,samp_inc,out_nbands,cflag,host_out_len)

struct PARBLK *parblk;
char host_in[][CMLEN];
char *host_out;
long *nmrimg;
long window[][4];
long bands[][MAXBND +1];
long nbands[];
double *line_inc;
double *samp_inc;
long *out_nbands;
long *cflag;
long host_out_len;

{
long i;
long one = 1;
long status;

char *hout_ptr;
char *hin_addr;
char *hin_ptr;

hin_ptr = (char *)malloc(CMLEN * (*nmrimg));
if (hin_ptr == 0)
   {
   c_errmsg("Error allocating dynamic memory","upddr-alloc",&one);
   return(E_FAIL);
   }

for (i = 0;i < *nmrimg; i++)
   strcpy(hin_ptr + (i * CMLEN),squeeze(host_in[i],CMLEN));

hout_ptr = squeeze(host_out,host_out_len);

status = c_upddr(parblk,hin_ptr,hout_ptr,nmrimg,window,bands,nbands,
		 line_inc,samp_inc,out_nbands,cflag);

free(hout_ptr);

free(hin_ptr);

return(status);
}  /* upddr  */
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
upddr(parblk,host_in,host_out,nmrimg,window,bands,nbands,
		   line_inc,samp_inc,out_nbands,cflag,host_out_len)

struct PARBLK *parblk;
struct DESC *host_in;
struct DESC *host_out;
long *nmrimg;
long window[][4];
long bands[][MAXBND +1];
long nbands[];
double *line_inc;
double *samp_inc;
long *out_nbands;
long *cflag;

{
long i;
long one = 1;
long status;

char *hout_ptr;
char *hin_addr;
char *hin_ptr;
char *malloc();

hin_ptr = malloc(CMLEN * (*nmrimg));
if (hin_ptr == 0)
   {
   c_errmsg("Error allocating dynamic memory","upddr-alloc",&one);
   return(E_FAIL);
   }

hin_addr = host_in->addr;
for (i = 0;i < *nmrimg; i++)
   {
   strcpy(hin_ptr + (i * CMLEN),squeeze(hin_addr,host_in->length));
   hin_addr += host_in->length;
   }

hout_ptr = squeeze(host_out->addr,host_out->length);

status = c_upddr(parblk,hin_ptr,hout_ptr,nmrimg,window,bands,nbands,
		 line_inc,samp_inc,out_nbands,cflag);

if (free(hout_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","upddr-free",&one);

if (free(hin_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","upddr-free",&one);

return(status);
}  /*  upddr  */
#endif
