#include <string.h>

#include "las.h"
#include "desc.h"
#include "diskio.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define dkcopy_ dkcopy
#endif
int dkcopy_
(
    char *infile,
    char *outfile,
    char *directories,
    long in_len,
    long out_len
)
{
char *in_ptr;
char *out_ptr;
char dir_ptr[MAXPATH][CMLEN];
int status;
long i;

in_ptr = squeeze(infile,in_len);
out_ptr = squeeze(outfile,out_len);
for (i=0; i < MAXPATH; i++, directories++)
    strcpy(dir_ptr[i],squeeze(directories,CMLEN));

status = c_dkcopy(in_ptr,out_ptr,dir_ptr[0]);

free(in_ptr);
free(out_ptr);

for (i=0; i < MAXPATH; i++)
    free(dir_ptr[i]);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
int dkcopy
(
    struct DESC *infile,
    struct DESC *outfile,
    struct DESC *directories
)
{
char *in_ptr;
char *out_ptr;
char dir_ptr[MAXPATH][CMLEN];
char *diradr;
long nonfatal = 1;
int  status;
long i;

in_ptr = squeeze(infile->addr,infile->length);
out_ptr = squeeze(outfile->addr,outfile->length);
diradr = directories->addr;
for (i=0; i < MAXPATH; i++)
    {
    strcpy(dir_ptr[i],squeeze(diradr,directories->length));
    diradr = diradr + directories->length;
    }

status = c_dkcopy(in_ptr,out_ptr,dir_ptr[0]);

if (free(in_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","diskio-free",&nonfatal);

if (free(out_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","diskio-free",&nonfatal);

for (i=0; i < MAXPATH; i++)
    if (free(dir_ptr[i]) == -1)
        c_errmsg("Error freeing dynamic memory","diskio-free",&nonfatal);

return(status);
}
#endif
