#include <string.h>
#include <stdlib.h>

#include "las.h"
#include "desc.h"
#include "diskio.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define dkcre_ dkcre
#endif
int dkcre_
(
    char *directories[CMLEN],
    char *filename,
    long filesize,
    long wait,
    long file_len
)
{
char *file_ptr;
char dir_ptr[MAXPATH][CMLEN];
int  status;
long i;

file_ptr = squeeze(filename,file_len);
for (i=0; i < MAXPATH; i++, directories++)
    strcpy(dir_ptr[i],squeeze(directories,CMLEN));

status = c_dkcre(dir_ptr[0],file_ptr,filesize,wait);

free(file_ptr);

for (i=0; i < MAXPATH; i++)
    free(dir_ptr[i]);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
int dkcre
(
    struct DESC *directories,
    struct DESC *filename,
    long filesize,
    long wait
)
{
char *file_ptr;
char dir_ptr[MAXPATH][CMLEN];
char *diradr;
long nonfatal = 1;
int  status;
long i;

file_ptr = squeeze(filename->addr,filename->length);
diradr = directories->addr;
for (i=0; i < MAXPATH; i++)
    {
    strcpy(dir_ptr[i],squeeze(diradr,directories->length));
    diradr = diradr + directories->length;
    }

status = c_dkcre(dir_ptr[0],file_ptr,filesize,wait);

if (free(file_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","diskio-free",&nonfatal);

for (i=0; i < MAXPATH; i++)
    if (free(dir_ptr[i]) == -1)
        c_errmsg("Error freeing dynamic memory","diskio-free",&nonfatal);

return(status);
}
#endif
