#include "las.h"
#include "desc.h"
#include "diskio.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define dkdel_ dkdel
#endif
int dkdel_
(
    char *filename,
    long file_len
)
{
char *file_ptr;
int  status;

file_ptr = squeeze(filename,file_len);

status = c_dkdel(file_ptr);

free(file_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
int dkdel
(
    struct DESC *filename
)
{
char *file_ptr;
int  status;
long nonfatal = 1;

file_ptr = squeeze(filename->addr, filename->length);

status = c_dkdel(file_ptr);

if (free(file_ptr) == -1)
    c_errmsg("Error freeing dynamic memory","diskio-free",&nonfatal);

return(status);
}
#endif
