#include <stdlib.h>

#include "las.h"
#include "desc.h"
#include "diskio.h"
#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define dkfree_ dkfree
#endif
int dkfree_
(
    char *path,
    long path_len
)
{
char *path_ptr;
int  status;

path_ptr = squeeze(path,path_len);

status = c_dkfree(path_ptr);

free(path_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
int dkfree
(
    struct DESC *path
)
{
char *path_ptr;
int  status;
long nonfatal = 1;

path_ptr = squeeze(path->addr, path->length);

status = c_dkfree(path_ptr);

if (free(path_ptr) == -1)
    c_errmsg("Error freeing dynamic memory","diskio-free",&nonfatal);

return(status);
}
#endif
