#include <stdio.h>
#include <string.h>

#include "worgen.h"
#include "ltable.h"

/******************************************************************************
NAME:	

FUNCTION:	Bridge routines for the LT calls

PROGRAM HISTORY:
  Version  Date   Author       Request
  -------  ----	  ------       -------
    1      12/86  K. Gacke     	original development
    2       4/87  K. Gacke     	called squeeze routine for the file type and 
				file description in the foptab routine when 
				opening for write access.
    3       5/87  K. Gacke     	added bridge routines for Unix
    4	    7/87  K. Gacke	changed the calls malloc and free to xalloc and 
				xree for the sel.  These routines are the C run 
				time routines renamed and put into the las.a
				library to avoid linking the malloc and free in 
				the fortran libraries.
    5	    8/87  K. Gacke	added the DATE and TIME data types.  Created the
				routines fgdate, fgtime, fpdate, and fptime.
    6       9/87  K. Gacke	removed mod for "version 4" after installing
				new OS (UTX 2.0)
    7      12/87  B. Ailts      Change include file directory specifications
    8      05/88  B. Ailts	Places brigde routines in a seperate file
				Replaced las.h with worgen.h
				Standardized err messages

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:	none.

PROJECT:	LAS

******************************************************************************/
void fgstr
(
    struct VECTOR **rec_desc,
    struct DESC *val,
    long *len
)
{
struct VECTOR *rec;
long dummy;
long index;
char msg[ERRLEN];

rec = (struct VECTOR *) *rec_desc;
if (rec->dtype != C)
   {
   sprintf(msg,"Tried to retrieve %s data as character string",
	   DATA_TYPE[rec->dtype]);
   tab_error(&dummy,TAB_LT_DTYPE,FATAL,msg,"fgstr");
   return;
   }

strcpy(val->addr,rec->ptr.c);
for (index=(long)strlen(val->addr); index<val->length; index++)
   *(val->addr + index) = ' ';
*len = (long)strlen(rec->ptr.c);
}

#ifdef unix
void fgstr_
(
    struct VECTOR **rec_desc,
    char *val,
    long *len,
    long val_len
)
{
struct DESC dval;

dval.addr = val;
dval.length = (unsigned short)val_len;
fgstr(rec_desc,&dval,len);
}
#endif
