#include "las.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routines for the UNIX  */
#ifdef _IBMR2
#define clean_ clean
#endif
FUNCTION clean_(vblock,name,out,count,name_len,out_len)
	struct PARBLK *vblock;
	char	*name,
		out[][CMLEN];
	long	*count,
		name_len,
		out_len;
{
char *name_ptr;
char out_ptr[MAXIMG][CMLEN];
long i;

name_ptr = squeeze(name,name_len);
for (i=0; i < *count; i++)
    strcpy(out_ptr[i],squeeze(out[i],out_len));

c_clean(vblock,name_ptr,out_ptr[0],count);

free(name_ptr);

for (i=0; i < *count; i++)
    free(out_ptr[i]);

return;
}
#endif

#ifdef vms
/*  Fortran bridge routines for the VAX  */
FUNCTION clean(vblock,name,out,count)
	struct PARBLK *vblock;
	struct DESC	*name,
			*out;
	long	*count;
{
char *name_ptr;
char out_ptr[MAXIMG][CMLEN];
char *outadr;
long nonfatal = 1;
long i;

name_ptr = squeeze(name->addr,name->length);
outadr = out->addr;
for (i=0; i < *count; i++)
    {
    strcpy(out_ptr[i],squeeze(outadr,out->length));
    outadr = outadr + out->length;
    }

c_clean(vblock,name_ptr,out_ptr[0],count);

if (free(name_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","clean-free",&nonfatal);

for (i=0; i < *count; i++)
    if (free(out_ptr[i]) == -1)
	c_errmsg("Error freeing dynamic memory","clean-free",&nonfatal);

return;
}
#endif
