#include  "desc.h"
#include "las.h"
#include "util.h"

#ifdef unix
/*
*   FORTRAN bridge routine for unix
*/
#ifdef _IBMR2
#define getin_ getin
#endif
FUNCTION getin_(block,param,element,tnms,hnms,images,window,bands,nbands,totbnd,
                imglimit,same_window,qflag,param_len,tnms_len,hnms_len)
		char	*param;
		long	param_len;
		char	tnms[][CMLEN];
		long	tnms_len;
		char	hnms[][CMLEN];
		long	hnms_len;
	struct	PARBLK	*block;
		long	*element;
		long	*images;
		long	(*bands)[];
		long	*nbands;
		long	*totbnd;
		long	(*window)[];
		long	*imglimit;
		long	*same_window;
		long	(*qflag)[];
		
	{
		long    elem;
		long	status;
		char    *parptr;

	parptr = squeeze(param,param_len);
	elem = *element - 1;

	status = c_getin(block,parptr,&elem,tnms,hnms,images,
			window,bands,nbands,totbnd,imglimit,same_window,qflag);

	free(parptr);

	return(status);
	}
#endif

#ifdef vms
/*
*   FORTRAN bridge routine for VAX
*/
FUNCTION getin(block,param,element,tnms,hnms,images,window,bands,nbands,totbnd,
                imglimit,same_window,qflag)
		struct DESC	*param;
		struct DESC	*tnms;
		struct DESC	*hnms;
	struct	PARBLK	*block;
		long    *element;
		long	*images;
		long	(*bands)[];
		long	*nbands;
		long	*totbnd;
		long	(*window)[];
		long	*imglimit;
		long	*same_window;
		long	(*qflag)[];
		
	{
		long    elem;
		long	status;
		char    *parptr;
		long	nonfatal = 1;

	parptr = squeeze(param->addr,param->length);
	elem = *element - 1;

	status = c_getin(block,parptr,&elem,tnms->addr,hnms->addr,images,
			window,bands,nbands,totbnd,imglimit,same_window,qflag);

	if (free(parptr) == -1)
     	   c_errmsg("Error freeing dynamic memory","getin-free",&nonfatal);

	return(status);
	}
#endif
