#include "las.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define getnam_ getnam
#endif
FUNCTION getnam_(vblock,param,element, fname,ext,access,
		 param_len,fname_len,ext_len)
        struct PARBLK *vblock;
 	char *param;
	long *element;
	char *fname;
 	char *ext;
	long *access;
	long param_len;
	long fname_len;
 	long ext_len;
{
char *param_ptr;
char *ext_ptr;
long elem;
long status;

param_ptr = squeeze(param,param_len);
ext_ptr = squeeze(ext,ext_len);
elem = *element - 1;

status = c_getnam(vblock, param_ptr, &elem, fname, ext_ptr, access);

free(param_ptr);
free(ext_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
FUNCTION getnam(vblock,param,element, fname,ext,access)
        struct PARBLK *vblock;
 	struct DESC *param;
	long *element;
	struct DESC *fname;
 	struct DESC *ext;
	long *access;
{
char *param_ptr;
char *ext_ptr;
long elem;
long nonfatal = 1;
long status;

param_ptr = squeeze(param->addr,param->length);
ext_ptr = squeeze(ext->addr,ext->length);
elem = *element - 1;

status = c_getnam(vblock, param_ptr, &elem, fname->addr, ext_ptr, access);

if (free(param_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","getnam-free",&nonfatal);
if (free(ext_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","getnam-free",&nonfatal);

return(status);
}
#endif
