#include "las.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/* Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define gettyp_ gettyp
#endif
FUNCTION gettyp_(hosin,nmrimg,odtype,hosin_length)
 	char	hosin[][CMLEN];	/* input host file names                     */
	long	*nmrimg;	/* number of input images		     */
	long	*odtype;	/* output data type -- data type of input img*/
	long	hosin_length;   /* length of host names                      */
{
char *hname_ptr;
long nonfatal = 1;
long status;
long i;

hname_ptr = (char *)malloc(CMLEN * *nmrimg);
if (hname_ptr == 0)
   {
   c_errmsg("Error allocating dynamic memory","gettyp-alloc",&nonfatal);
   return(E_FAIL);
   }

for (i= 0; i < *nmrimg; i++)
    strcpy(hname_ptr + (i * CMLEN),squeeze (hosin[i],hosin_length));

status = c_gettyp(hname_ptr,nmrimg,odtype);

free(hname_ptr);

return(status);
}
#endif

#ifdef vms
/* Fortran bridge routine for the VAX  */
FUNCTION gettyp(hosin,nmrimg,odtype)
 	struct DESC	*hosin;	/* input host file names                     */
	long	*nmrimg;	/* number of input images		     */
	long	*odtype;	/* output data type -- data type of input img*/
{
char *hname_ptr;
char *hosadr;
long nonfatal = 1;
long status;
long i;

hname_ptr = malloc(CMLEN * *nmrimg);
if (hname_ptr == 0)
   {
   c_errmsg("Error allocating dynamic memory","gettyp-alloc",&nonfatal);
   return(E_FAIL);
   }

hosadr = hosin->addr;
for (i= 0; i < *nmrimg; i++)
    {
    strcpy(hname_ptr + (i * CMLEN),squeeze (hosadr,hosin->length));
    hosadr += hosin->length;
    }

status = c_gettyp(hname_ptr,nmrimg,odtype);

if (free(hname_ptr) == -1)
	c_errmsg("Error freeing dynamic memory","gettyp-free",&nonfatal);

return(status);
}
#endif
