#include "las.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/* Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define mkimg_ mkimg
#endif
FUNCTION mkimg_(in_string,ext,tname,hname,flag,in_string_len,ext_len,
	        tname_len,hname_len)
	 char	*in_string;
 	 char   *ext;
	 char	*tname;
	 char   *hname;

	 long	*flag;
	 long	in_string_len;
	 long   ext_len;
	 long	tname_len;
	 long	hname_len;
{
char *instr_ptr;
char *ext_ptr;
long status;

instr_ptr = squeeze(in_string,in_string_len);
ext_ptr = squeeze(ext,ext_len);

status = c_mkimg(instr_ptr,ext_ptr,tname,hname,flag);

free(instr_ptr);
free(ext_ptr);

return(status);
}
#endif

#ifdef vms
/* Fortran bridge routine for the VAX  */
FUNCTION mkimg(in_string,ext,tname,hname,flag)
	 struct DESC	*in_string;
 	 struct DESC   	*ext;
	 struct DESC 	*tname;
	 struct DESC   	*hname;

	 long	*flag;
{
char *instr_ptr;
char *ext_ptr;
long nonfatal = 1;
long status;

instr_ptr = squeeze(in_string->addr,in_string->length);
ext_ptr = squeeze(ext->addr,ext->length);

status = c_mkimg(instr_ptr,ext_ptr,tname->addr,hname->addr,flag);

if (free(instr_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","mkimg-free",&nonfatal);
if (free(ext_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","mkimg-free",&nonfatal);

return(status);
}
#endif
