#include "las.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define mknam_ mknam
#endif
FUNCTION mknam_(filename,outfile,ext,access,filename_len,outfile_len,ext_len)
	char *filename;
	char *outfile;
 	char *ext;
	long *access;
	long filename_len;
	long outfile_len;
 	long ext_len;
{
char *file_ptr;
char *ext_ptr;
long status;

file_ptr = squeeze(filename,filename_len);
ext_ptr = squeeze(ext,ext_len);

status = c_mknam(file_ptr, outfile, ext_ptr, access);

free(file_ptr);
free(ext_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
FUNCTION mknam(filename,outfile,ext,access)
 	struct DESC *filename;
	struct DESC *outfile;
 	struct DESC *ext;
	long *access;
{
char *file_ptr;
char *ext_ptr;
long nonfatal = 1;
long status;

file_ptr = squeeze(filename->addr,filename->length);
ext_ptr  = squeeze(ext->addr,ext->length);

status = c_mknam(file_ptr, outfile->addr, ext_ptr, access);

if (free(file_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","mknam-free",&nonfatal);
if (free(ext_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","mknam-free",&nonfatal);

return(status);
}
#endif
