/*******************************************************************************
NAME				C_CLEAN

PURPOSE		

PROGRAM HISTORY
	PROGRAMMER	DATE	REASON
	----------	----	------
	B.AILTS		05/88	Original development 
	B.AILTS		08/88	Changed $DELFLAG to $DELFLG
        L.HUEWE		09/88	Added call to LSSTAT to make sure the file
				exists before deleting it

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS
	C_CLEAN must be run under TAE.

PROJECT			LAS

ALGORITHM 
	Retrieve the TAE global value $DELFLAG
	If $DELFLAG is set to 'YES' then
	   for each output file
		if the output file exists
		    delete the output file
	exit

ALGORITHM REFERENCES		none
*******************************************************************************/
#include <string.h>
#include "las.h"
#include "util.h"
#include "labserv.h"

void c_clean
(
   struct PARBLK *vblock, /* I:  TAE parameter block                   */
   char *pname,           /* I:  program name                          */
   char hnames[][CMLEN],  /* I:  output file names                     */
   long *count            /* I:  number of output files                */
)

{

struct VARIABLE *val;

long	i;			/* loop index			  */
long	fatal = -1;		/* Fatal status for c_errmsg      */
long	mode=0;			/* Indicates LSSTAT is to check for
				   the existence of the file	  */
char delflag[4];
char key[30];

val = p_find(vblock,"$DELFLG");
strcpy(delflag,SVAL(*val,0));

if (strcmp(delflag,"YES") == 0)
   {
   for (i = 0; i < *count; i++)
      {
      if (c_lsstat(hnames[i],&mode) == E_SUCC)
          c_delfil(hnames[i]);
      }
   }

sprintf(key,"%s-fatal",pname);
c_errmsg("Fatal error encountered",key,&fatal);
}
