/*******************************************************************************
NAME				C_GETCNT

PURPOSE		Retrieves the number of input files specified by the user

PROGRAM HISTORY
	PROGRAMMER	  DATE		REASON
	----------	  ----		------
	B. Ailts	  5/88		Original development.
	D. VanderZee 	07/90	Standardized error handling 
				


COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS
	C_GETCNT must be run under TAE.

PROJECT				LAS

ALGORITHM:
	get the count of the input image parameter

ALGORITHM REFERENCES

******************************************************************************/

#include "las.h"
#include "util.h"

int c_getcnt
(
   struct PARBLK *block, /* I:  TAE parameter block                    */
   char *param_buf,      /* I:  Input image parameter name             */
   long *count           /* O:  Element array number of param.         */
)

{
struct VARIABLE *i_spec;	/* point to param_buf in PARBLK    */

long	nonfatal = 1;	   	/* Non-fatal key for c_errmsg      */

/* Get image specification and parse it. 
----------------------------------------*/
if( NULL == (i_spec = p_find( block, param_buf )))
	{
	c_errmsg("Error: Input image parameter does not exist",
		 "getcnt-param",&nonfatal);
	return(E_FAIL);
	};

/*  Retreive the count 
----------------------*/
*count = (*i_spec).v_count;

return(E_SUCC);
}  /*  getcnt  */
