/******************************************************************************
NAME:	C_HSREAD

FUNCTION: Reads a record of a history file.

PROGRAM HISTORY:
  Version	Date       Author       Request
  -------	----	   ------       -------
     1        3-Jan-89  K. A. Narayanan
     2       27-Jun-89  K. A. Narayanan  freed buffer after use
     3	     16-Oct-89  D. Akkerman	 modified to allocate a buffer 
					 adequate for the history record and 
					 return a pointer to the buffer
     5.0        07/90      D. VanderZee Standardized error handling 


PROJECT:	LAS

******************************************************************************/
#include <stdio.h>
#include "las.h"
#include "util.h"
#include "labserv.h"

int c_hsread
(
   long *fd,         /* I:  file descriptor of input images's history      */
   char key[],       /* I/O:  key buffer                                   */
   char **buf,       /* O:  history buffer                                 */
   long *len         /* I:  char length of label service record            */
)

{
long	dlen = 0,	        /* data length of label service record       */
	stat, status,		/* return status code                        */
	nonfatal = 1;

unsigned char *dbuf = NULL;  /* data buffer pointer                       */
char	dtype[4],		/* data type buffer                          */
	*tptr = NULL;           /* working character pointer		     */

*len = 0;
status = c_lsread(fd,key,len,&dlen,tptr,dbuf,dtype);
if (status == E_SMAL)
   {
   if ((*buf = (char *)malloc(*len)) == NULL)
      {
      c_errmsg("Error allocating dynamic memory", "hsread-alloc", &nonfatal);
      return (E_FAIL);
      }
   tptr = *buf;
   stat = c_lsread(fd,key,len,&dlen,tptr,dbuf,dtype);
   if (stat == E_FAIL)
     c_errmsg ("Error returned from lsread","hsread-call",&nonfatal);
   return(stat);
   }
else if (status == E_FAIL)
   c_errmsg ("Error returned from lsread","hsread-call",&nonfatal);
   
return(status);
}
