#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routines for the UNIX  */
#ifdef _IBMR2
#define complt_ complt
#endif
complt_(name,out,count,name_len,out_len)
        char    *name,
                out[][CMLEN];
        long    *count,
                name_len,
                out_len;
{
char *name_ptr;
char *out_ptr;
long nonfatal = 1;
long i;

#ifdef sgi
if (*count != 0)
   {
   out_ptr = (char *) malloc(*count * CMLEN);
   if (out_ptr == NULL)
      c_errmsg("Error allocating dynamic memory","complt-alloc",&nonfatal);

   name_ptr = squeeze(name,name_len);
   for (i=0; i < *count; i++)
       strcpy(out_ptr + (i * CMLEN),squeeze(out[i],out_len));
   }
else
   {
   out_ptr = (char *) malloc(CMLEN);
   if (out_ptr == NULL)
      c_errmsg("Error allocating dynamic memory","complt-alloc",&nonfatal);
   name_ptr = squeeze(name,name_len);
   }
#else
out_ptr = (char *) malloc(*count * CMLEN);
if (out_ptr == NULL)
   c_errmsg("Error allocating dynamic memory","complt-alloc",&nonfatal);

name_ptr = squeeze(name,name_len);
for (i=0; i < *count; i++)
    strcpy(out_ptr + (i * CMLEN),squeeze(out[i],out_len));
#endif

c_complt(name_ptr,out_ptr,count);

free(name_ptr);
free(out_ptr);

return;
}
#endif
#ifdef vms
/*  Fortran bridge routines for the VAX  */
int complt
(
    struct DESC *name,
    struct DESC *out,
    long *count
)
{
char *name_ptr;
char *out_ptr;
char *outadr;
char *squeeze();
long nonfatal = 1;
long i;

out_ptr = (char *)malloc(*count * CMLEN);
if (out_ptr == NULL)
   c_errmsg("Error allocating dynamic memory","complt-alloc",&nonfatal);

name_ptr = squeeze(name->addr,CMLEN);
outadr = out->addr;
for (i=0; i < *count; i++)
    {
    strcpy(out_ptr + (i * CMLEN),squeeze(outadr,out->length));
    outadr = outadr + out->length;
    }

c_complt(name_ptr,out_ptr,count);

if (free(name_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","complt-free",&nonfatal);

if (free(out_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","complt-free",&nonfatal);

return;
}
#endif
