/*******************************************************************************
	Program: br_getsys

	History:
	Name		Date	Description
	----		----	-----------
				Original Development
	B.Ailts		09/91	Now copies system back to original string
*******************************************************************************/
#include <stdlib.h>
#include <string.h>
#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/* Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define getsys_ getsys
#endif
getsys_(system,system_len)

        char *system;
        long system_len;
{
long one = 1;
long status;
char *sys_ptr;

sys_ptr = squeeze(system,system_len);
if (sys_ptr == NULL)
   c_errmsg("Error returned from squeeze","getsys-call",&one);

status = c_getsys(sys_ptr);

strcpy(system,sys_ptr);

free(sys_ptr);

return(status);
}
#endif

#ifdef vms
/* Fortran bridge routine for the VAX  */
int getsys
(
    struct DESC *system
)
{
long one = 1;
long status;
char *sys_ptr;
char *squeeze();

sys_ptr = squeeze(system->addr,system->length);
if (sys_ptr == NULL)
   c_errmsg("Error returned from squeeze","getsys-call",&one);

status = c_getsys(sys_ptr);

strcpy(system->addr,sys_ptr);

if (free(sys_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","getsys-free",&one);

return(status);
}
#endif
