/*******************************************************************************
NAME:	  GETUSERN

PURPOSE:  Getusern gets the user name of the user running
	  this program.

PROGRAM HISTORY:
	T. Butzer 	3/22/86 	Original Implementation
  5.0   D. Hollaren	04/88		added las include
					changed errhrt to c_errmsg
					return E_SUCC/E_FAIL
  5.1   B. Ailts	07/88		Fixed the call to squeeze
	D. VanderZee	07/90	Standardized error handling



PROJECT			LAS

ALGORITHM 

ALGORITHM REFERENCES	none
*******************************************************************************/
#include <unistd.h>
#include "las.h"
#include "util.h"

#ifdef unix
#include <pwd.h>
#endif

#ifdef vms

	/* include files */
# include	<descrip.h>
# include	<jpidef.h>
# include	<ssdef.h>
/* # include	<ctype.h> */
# define	EFN		1	/* which event flag to use	*/


int getusern
(
	char *username 
)
{
char	jpiname[13];		/* user name				*/
char	*newname;		/* user name after squeeze		*/
char    *squeeze();		/* squeeze function to find end of str  */

int	pidcontext;		/* process id context for getjpi call	*/
int	getjpi_status;		/* getjpi returned status variable	*/
int	sys$getjpi();		/* getjpi system service returns an int	*/
int	nparm = 0;
long    nonfatal = 1;		/* Nonfatal error code			*/

struct
{
	short	io_s;
	short	len;
	int	info;
} iosb;


struct	ITEM
{
	short	len;		/* buffer length			*/
	short	item_code;	/* information item requested		*/
	char	*buf;		/* return buffer			*/
	int	*rlen;		/* return length			*/
};


struct
{
	struct	ITEM items[1];
	int	endoflist;
} itemlist				=
					{
		/* user name	*/	12,JPI$_USERNAME,jpiname,0
					};

	itemlist.endoflist = 0;
	pidcontext = 0;
	getjpi_status = sys$getjpi(EFN,&pidcontext,0,&itemlist,&iosb,0,0);
	sys$waitfr(EFN);

	if (getjpi_status != SS$_NORMAL)
	{	/* error getting usercode */
		c_errmsg("Error getting username","getusern-user",&nonfatal);
		return(E_FAIL);
	}

	newname = squeeze(jpiname, 12);
	strcpy(username, newname);
	if (free(newname) == -1)
	   c_errmsg("Error freeing dynamic memory","getusern-free",&nonfatal);

/*	strcpy(user, getenv("USER")); */
return(E_SUCC);
}	
#endif

#ifdef unix

int getusern
(
	char *username 
)
{
	int uid;
	struct passwd *pwptr;	

	uid = getuid();
	pwptr = getpwuid(uid);

	strcpy(username, pwptr->pw_name);
	
return(E_SUCC);
}
#endif
